$DEBUG
C
C              ----- SI GASTABLE TEST PROGRAM -----
C         FLCHKH.for -to check TBLD26.for  ( '02-12-26)          Arranged by M. Iwai
C
      COMMON/SYIAE/RC,R,AFST,CK,ND,G,CJK,AKR
      COMMON/SHEN/TSX,CPMX,AKMX,AKRMX
      COMMON/YANG/AMNX,PSPTX,PTPSX,TSTTX,RSRTX,VRTX,QX,QSX,ASATX
C
      UR=8.31433            ! (kJ/kmol K)
      AM=28.967             ! (kg/kmol)
C
      G=9.80665
      CJK=4.1868            ! (kJ/kcal)
C
      R=UR/AM               !=0.2870277 (kJ/kg K)
      RC=R/CJK              !=0.0685554 (kcal/kg K)=RM/J=RB/JB
C
      ND=1         !  ND=1 for SI, 2 for Metric , 3 for British Units.
      CK=0.0       !  for Constant k
C
C ------------The above are to be copied into the main program-------------
C
      GC=1.0
      AFST=14.653           ! air/fuel ratio
      ALHV=10300.           ! (kcal/kg)
      BLHV=43000.           ! ALHV*CJK (kJ/kg)
      CLHV=18400.           ! (Btu/lb)
C
      RM=29.27              !=UR*1000./(AM*G) (kg-m/kg-K)
      J=426.9               !=CJK*1000./G  (kg-m/kcal)
      RB=53.35              !=RM/(1.8*0.3048) (ft-lb/lb-R) 
      JB=778.2              !=CJK*1000./(G*1.8*0.3048) (ft-lb/lb-R) 
C
      TC=273.15
      TSTD=288.15
      PSTD=101.322
      BT=1000.0

C                    ------------------
C
   10 WRITE(*,*)'  CK,  ND,  Mn,   T   ,F  ??? '
C
      READ(*,*)CK,ND,AMN,T,F
C
      CALL FMN(AMN,F,T)
C
      WRITE(*,*)
      WRITE(*,94)T,TSX,CPMX,AKMX,AKRMX
      WRITE(*,95)AMNX,PSPTX,TSTTX,VRTX,QX
      WRITE(*,96)F,PTPSX,RSRTX,ASATX,QSX
C
      Y1=AMNX
      Y2=PSPTX
      Y3=PTPSX
      Y4=TSTTX
      Y5=RSRTX
      Y6=VRTX
      Y7=QX
      Y8=QSX
      Y9=ASATX
C
   20 CALL PSR(Y2,F,T)
      WRITE(*,*)'    (22)  PSR;   PSPT=',Y2,'      Mn =',AMNX
      CALL PTR(Y3,F,T)
      WRITE(*,*)'    (23)  PTR;   PTPS=',Y3,'      Mn =',AMNX
      CALL TSR(Y4,F,T)
      WRITE(*,*)'    (24)  TSR;   TSTT=',Y4,'      Mn =', AMNX
C
      CALL RSR(Y5,F,T)
      WRITE(*,*)'    (25)  RSR;   RSRT=',Y5,'      Mn =', AMNX
      WRITE(*,*)
      CALL VFT(Y6,F,T)
      WRITE(*,*)'    (26)  VFT;    VRT=',Y6,'      Mn =',AMNX
C
      IF(Y1.GT.1.0) GO TO 25
      CALL FQT(Y7,F,T)
      WRITE(*,*)'    (27)  FQT;    Q  =',Y7,'      Mn =',AMNX
      GO TO 30
C
   25 CALL SFQT(Y7,F,T)
      WRITE(*,*)'    (27) SFQT;    Q  =',Y7,'      Mn =',AMNX
C
   30 CALL FQS(Y8,F,T)
      WRITE(*,*)'    (28)  FQS;    QS =',Y8,'      Mn =',AMNX
C
      IF(Y1.GT.1.0) GO TO 35
      CALL ASR(Y9,F,T)
      WRITE(*,*)'    (29)  ASR;   ASR =',Y9,'      Mn =',AMNX
C
      WRITE(*,50)
      GO TO 10
C
   35 CALL SASR(Y9,F,T)
      WRITE(*,*)'    (29) SASR;   ASR =',Y9,'      Mn =',AMNX
C
      WRITE(*,50)
      GO TO 10
C
   50 FORMAT(//)
   60 FORMAT(6X,'T=',F8.3,3X,'CP=',F8.6,4X,'H=',F8.3,3X,'VR=',F11.6,5X,'
     /U =',F8.3,/)
   61 FORMAT(4X,'F/A=',F8.5,3X,'K =',F8.6,2X,'PHI=',F8.6,3X,'PR=',F11.5,
     /1X,'(K-1)/K=',F7.6,//)
   94 FORMAT(5X,'Tt=',F8.3,2X,'Ts=',F8.3,3X,'CPm =',F8.5,3X,'Km=',F7.5,1
     /X'(Km-1)/Km=',F6.5,/)
   95 FORMAT(5X,'Mn=',F6.3,2X,'P/Pt=',F8.5,3X,'Ts/T =',F7.5,2X,'V/RTt=',
     /F8.4,3X,'Q =',F8.5,/)
   96 FORMAT(3X,'F/A=',F8.5,1X,'Pt/P=',F9.5,1X,'RO/ROt=',F7.5,3X,'A/At=',
     /F8.4,3X,'Qs=',F8.5,//)
C
   99 STOP
  100 END

