DEBUG
C
C              ----- SI GASTABLE TEST PROGRAM -----
C         CPCHKA.for  SYTBL2.for  ( '05-2-9 )        Arranged by M. Iwai
C
C
      COMMON/SYIAE/RC,R,AFST,CK,ND,G,CJK,AKR
      COMMON/SHEN/TSX,CPMX,AKMX,AKRMX
      COMMON/YANG/AMNX,PSPTX,PTPSX,TSTTX,RSRTX,VRTX,QX,QSX,ASATX
C
      UR=8.31433            ! (kJ/kmol K)
C
      AM=28.967             ! (kg/kmol)
C
      G=9.80665
      CJK=4.1868
C
      R=UR/AM               !=0.2870277 (kJ/kg K)
      RC=R/CJK              !=0.0685554 (kcal/kg K)=RM/J=RB/JB
C
C
       ND=1         !  ND=1 for SI, 2 for Metric , 3 for British Units.
       CK=0.0       !  for Constant k
C
C ------------The above are to be copied into the main program-------------
      GC=1.0
      AFST=14.653           ! air/fuel ratio
      ALHV=10300.           ! (kcal/kg)
      BLHV=43000.           ! ALHV*CJK (kJ/kg)
      CLHV=18400.           ! (Btu/lb)
C
      RM=29.27              !=UR*1000./(AM*G) (kg-m/kg-K)
      J=426.9               !=CJK*1000./G  (kg-m/kcal)
      RB=53.35              !=RM/(1.8*0.3048) (ft-lb/lb-R) 
      JB=778.2              !=CJK*1000./(G*1.8*0.3048) (ft-lb/lb-R) 
C
      TC=273.15
      TSTD=288.15
      PSTD=101.322
      BT=1000.0

C                    ---------------------------------------
C
   10 WRITE(*,*)'   T,      F  ??? '
C
      READ(*,*)T,F
C                     ---------------------------------------
C
      CALL CPT(T,F,CP,AK)
      CALL HFT(T,F,H)
      HX=H
      CALL SFT(T,F,S)
      CALL UFT(T,F,U)
      UX=U
      CALL PRT(T,F,PR)
      PRX=PR
      CALL VRT(T,F,VR)
      VRX=VR
      WRITE(*,30)T,CP,H,VR,U
      WRITE(*,31)F,AK,S,PR,AKR
C
C-----------------------------------------------------------------
      CALL TFH(HX,F,TY)
      WRITE(*,*)'         ( 5 ) TFH   H= ',HX,'   T=',TY
      CALL TPR(PRX,F,TPRY)
      WRITE(*,*)'         ( 6 ) TPR  PR= ',PRX,'   T=',TPRY
      CALL TFU(UX,F,TUY)
      WRITE(*,*)'         ( 9 ) TFU   U= ',UX,'   T=',TUY
      CALL TVR(VRX,F,TVRY)
      WRITE(*,*)'        ( 14 ) TVR  VR= ',VRX,'   T=',TVRY
C
      CALL HVR(VRX,F,HVRY)
      WRITE(*,*)'        ( 10 ) HVR  VR= ',VRX,'   H=',HVRY
      CALL HPR(PRX,F,HPRY)
      WRITE(*,*)'        ( 11 ) HPR  PR= ',PRX,'   H=',HPRY
      WRITE(*,*)
C
      CALL UPR(PRX,F,UPRY)
      WRITE(*,*)'        ( 12 ) UPR  PR= ',PRX,'   U=',UPRY
      CALL UVR(VRX,F,UVRY)
      WRITE(*,*)'        ( 13 ) UVR  VR= ',VRX,'   U=',UVRY
C
      CALL PRH(HX,F,PRY)
      WRITE(*,*)'        ( 15 ) PRH   H= ',HX,'  PR=',PRY
      CALL PRU(UX,F,PRUY)
      WRITE(*,*)'        ( 18 ) PRU   U= ',UX,'  PR=',PRUY
C
      CALL VRH(HX,F,VRY)
      WRITE(*,*)'        ( 16 ) VRH   H= ',HX,'  VR=',VRY
      CALL VRU(UX,F,VRUY)
      WRITE(*,*)'        ( 17 ) VRU   U= ',UX,'  VR=',VRUY
      WRITE(*,*)
C
      GO TO 10
C
   30 FORMAT(6X,'T=',F8.3,3X,'CP=',F8.6,4X,'H=',F8.3,3X,'VR=',E11.4,5X,'
     /U =',F8.3,/)
   31 FORMAT(4X,'F/A=',F8.5,3X,'K =',F8.6,2X,'PHI=',F8.5,3X,'PR=',E11.4,
     /1X,'(K-1)/K=',F7.6,//)
C
   99 STOP
  100 END

