DEBUG
C                     ----- Thermodynamic Data Cal. PROGRAM -----
C         CPTBL.for  SYTBL2.for  ( '05-1-28 )
C
      COMMON/SYIAE/RM,R,AFST,CK,ND,G,CJK,AKR
      COMMON/SHEN/TSX,CPMX,AKMX,AKRMX
C
      DIMENSION AT(500),ACP0(500),ACP1(500),ACP2(500),ACP3(500),ACP4(500
     /),ACP5(500),ACP6(500),ACPS(500)
C
C
      UR=8.31433            ! (kJ/kmol K)
      AM=28.967             ! (kg/kmol)
C
      G=9.80665
      CJK=4.1868            ! (kJ/kcal)
C
      R=UR/AM               ! (kJ/kg K)
      RM=R/CJK              ! (kcal/kg K)
C
      ND=1         !  ND=1 for SI, 2 for Metric , 3 for British Units.
      CK=0.0       !  for Constant k.
C
C                   -------Ref. only-------------
      GC=1.0
      AFST=14.653
      ALHV=10300.           ! (Kcal/Kg)
      BLHV=ALHV*CJK         ! (KJ/Kg)
C
      TC=273.15
      TSTD=288.15
      PSTD=101.322
      BT=1000.0
C----------------------------------------------------------------------
      TF=0.0
      TL=5000.
      DT=20.0
C
      NF=TF
      NL=TL
      L=0
      F=0.0
C
   10 N=1
      NF=N
      T=TF
      GO TO 22
C
   12 T=T+DT
      F=0.0
      NL=N
      AT(N)=T
      GO TO 22
C
   20 F=F+0.01
   21 L=L+1
C
   22 CALL CPT(T,F,CP,AKX)
      IF(T.EQ.0.0) CP=0.0
C
      IF(L-1)40,41,26
   26 IF(L-3)42,43,27
   27 IF(L-5)44,45,28
   28 IF(L-7)46,47,50
C
   40 ACP0(N)=CP
      GO TO 20
C
   41 ACP1(N)=CP
      GO TO 20
C
   42 ACP2(N)=CP
      GO TO 20
C
   43 ACP3(N)=CP
      GO TO 20
C
   44 ACP4(N)=CP
      GO TO 20
C
   45 ACP5(N)=CP
      GO TO 20
C
   46 ACP6(N)=CP
      F=0.06825
      GO TO 21
C
   47 ACPS(N)=CP
      N=N+1
      L=0
      
      IF(T.GE.TL) GO TO 50
      IF(T.EQ.500.0) GO TO 48
      GO TO 12
C
   48 DT=100.0
      GO TO 12 
C
C
   50 IF(ND-2)52,54,56
   52 WRITE(6,110)ND   
      GO TO 60
C
   54 WRITE(6,112)ND   
      GO TO 60
C
   56 WRITE(6,114)ND   
C
   60 WRITE(6,120)
C
      DO 65 N=NF,NL
      WRITE(6,130)AT(N),ACP0(N),ACP1(N),ACP2(N),ACP3(N),ACP4(N),ACP5(N),
     /ACP6(N),ACPS(N)
   65 CONTINUE
C
  110 FORMAT(25X,'***  CP TABLE (SI Unit) ***',5X,'ND =',I2,/)
  112 FORMAT(25X,'***  CP TABLE (Metric Unit) ***',5X,'ND =',I2,/)
  114 FORMAT(25X,'***  CP TABLE (British Unit) ***',5X,'ND =',I2,/)
  120 FORMAT(6X,'T(K)',5X,'AIR',6X,'0.01',6X,'0.02',6X,'0.03',6X,'0.04',
     /6X,'0.05',6X,'0.06',5X,'0.06825')
  130 FORMAT(F10.2,8F10.5)
C
   99 STOP
  100 END
